#ifndef _SOCKET6_H_
#define _SOCKET6_H_

#ifdef  __cplusplus
extern "C" {
#endif

int  open_ping_socket_ipv6(int *socktype);
void init_ping_buffer_ipv6(size_t ping_data_size);
void uninit_ping_buffer_ipv6(void);
void socket_set_src_addr_ipv6(int s, struct in6_addr *src_addr, int *ident);
int  socket_sendto_ping_ipv6(int s, struct sockaddr *saddr, socklen_t saddr_len, uint16_t icmp_seq, uint16_t icmp_id);

#ifdef  __cplusplus
}
#endif

#endif